﻿@model IEnumerable<Aula03.Models.FileViewModel>

@{
    ViewData["Title"] = "Index";
    double soma = 0;
    long fup = 0;
}

<h1>Index</h1>

<p>
    <a asp-action="">Submit New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Size)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {

            soma += item.Size;
            fup++;

    
    <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name) 
                
            </td>
                
            <td>
                @Html.DisplayFor(modelItem => item.Size)
               
            </td>
                
           <td>
                    <a asp-action="Download" asp-route-id=@item.Name target="_blank">Download</a>
           </td>
                <td>
                    <a asp-action="Delete" asp-route-id=@item.Name>Delete</a>
                </td>
        </tr>
        <tr>
               
        </tr>
}
    </tbody>
</table>


Ficheiros Carregados: @fup
<div>


</div>
Número de bytes: @soma